### Class

# Foundry GitFile

#### Description

    final class Foundry.GitFile : Foundry.VcsFile
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryVcsFile
- GObject

#### Instance methods

##### Methods inherited from FoundryVcsFile (2)

###### foundry_vcs_file_dup_file

No description available.

###### foundry_vcs_file_dup_relative_path

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryVcsFile (2)

###### Foundry.VcsFile:file

No description available.

###### Foundry.VcsFile:relative-path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGitFileClass {
      FoundryVcsFileClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryVcsFileClass`

  No description available.